Updated system php issue

Discussion in 'Installation/Configuration' started by ShadowMX, Mar 30, 2019.

  1. ShadowMX

    ShadowMX New Member

    I have multiple times tried to update ispconfig from Version 3.1.13 to 3.1.13p1 i get the following error

    PHP Fatal error: Uncaught Error: Call to undefined function mysqli_connect() in /tmp/ispconfig3_install/install/update.php:239
    Stack trace:
    #0 {main}
    thrown in /tmp/ispconfig3_install/install/update.php on line 239

    Im running on php7.2
    Any help would greatly be appreciated
     
  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    That means you have not installed the component of your OS that contains that function. I do not remember which package it comes from, and anyway do not know what operating system you have so can not help more.
    What I do know is that on my Debian system I would start with
    Code:
    $ apt-cache search mysql php
    and start from there, checking packages it finds what they contain and are they installed.
     
  3. ShadowMX

    ShadowMX New Member

    Im running ubuntu 18.04.2

    [email protected]:~# apt-cache search mysql php
    php7.2-mysql - MySQL module for PHP
    cacti - web interface for graphing of monitoring systems
    hashcat - World's fastest and most advanced password recovery utility
    irssi-scripts - collection of scripts for irssi
    letodms - document management system based on PHP and MySQL
    letodms-webdav - document management system based on PHP and MySQL - WebDAV server
    libghc-highlighting-kate-dev - syntax highlighting library based on Kate syntax descriptions
    libghc-highlighting-kate-doc - library documentation for highlighting-kate; documentation
    libghc-highlighting-kate-prof - highlighting-kate library with profiling enabled; profiling libraries
    libphp-adodb - ADOdb is a PHP database abstraction layer library
    nagios-plugins-contrib - Plugins for nagios compatible monitoring systems
    php-db - Database Abstraction Layer
    php-mdb2-driver-mysql - mysql MDB2 driver
    php-pinba - Pinba module for PHP
    php-zend-db - Zend Framework - Db component
    phpmyadmin - MySQL web administration tool
    rhythmbox-ampache - play audio streams from an Ampache server
    ukolovnik - Simple todo manager using PHP and MySQL
    yasat - simple stupid audit tool
    zoph - Web based digital image presentation and management system
    php-mysql - MySQL module for PHP [default]
    php7.0-mysql - MySQL module for PHP
    php5.6-mysql - MySQL module for PHP
    php-mysqlnd-ms - MySQL replication and load balancing module for PHP
    php7.1-mysql - MySQL module for PHP
    php7.3-mysql - MySQL module for PHP
     
  4. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    And?
    Is php7.2-mysql installed?
     
  5. ShadowMX

    ShadowMX New Member

    Can mark this thread as solved I found and fixed my issue. i needed php7.3 packages installed not php7.2 packages
     
  6. Jesse Norell

    Jesse Norell Well-Known Member

    You might also change the thread topic to something like "updated system php issue" so it's more relevant for others searching. (and for those same others, note that updating your system php version is unsupported and often breaks IPSConfig, you should install the new php as an additional php version instead)
     
    till likes this.

Share This Page